/*
 * NouveauPompierForm.java
 */
package com.test.forms;

import bdd.ClientMysql;
import com.mysql.cj.util.StringUtils;
import com.test.beans.Pompier;
import jakarta.servlet.http.HttpServletRequest;
import java.util.Enumeration;

/**
 *
 * @author domin
 */
public class NouveauPompierForm {
    
    String message="";
    
    public int verifNouveauClient(HttpServletRequest request) {
        
        // Contrôle du no de rue qui doit être numérique
        String noRueString = request.getParameter("ztNoRue");
        boolean isNumeric = StringUtils.isStrictlyNumeric(noRueString);
        if (!isNumeric) {
            message = "Le no de rue doit être numérique";
            return -1;
        }
        int noRue = Integer.parseInt(noRueString);
         
        // Contrôle car "<" dans les zones de texte
        //String [] lesSaisies = request.getParameterValues(noRueString); // Valeurs saisies
        Enumeration lesNoms = request.getParameterNames();        
        int erreur = 0;      
        while (erreur ==0 && lesNoms.hasMoreElements()) {
            Object paramObjet=lesNoms.nextElement();
            String param=(String)paramObjet;
            String value=request.getParameter(param);
            if (value.contains("<")) {
                message = "Veullez recommencer votre saisie, une anomalie sur une zone de saisie a été détectée ";
                erreur=1;
            }            
        }     
        if (erreur > 0) return -1;        
                
//        Creation d'un objet de type Pompier avec les données transmises
        Pompier unClient = new Pompier(request.getParameter("btrCivilite"),
                                        request.getParameter("ztNom"),
                                        request.getParameter("ztPrenom"),
                                        request.getParameter("ztPwd"),
                                        noRue,
                                        request.getParameter("ztRue"),
                                        request.getParameter("ztCP"),
                                        request.getParameter("ztVille"),
                                        request.getParameter("ztMail"),
                                        request.getParameter("ztTel"),                                       
                                        request.getParameter("ztDateNais"));
        ClientMysql cm = new ClientMysql();
        int idClient = cm.createRP(unClient);   // Requête préparée
        if (idClient == -1) {
            message = "Erreur lors de la création du client";
        }
        return idClient;      
        
    }

    public String getMessage() {
        return message;
    }
}
